import os
import sys
import distribute_setup
distribute_setup.use_setuptools()
from setuptools import setup


install_requires = ['unittest2'] if sys.version_info < (2, 7) else []


def read(filename):
    with open(os.path.join(os.path.dirname(__file__), filename)) as fp:
        return fp.read()

setup(name='smoker',
      version='0.2',
      py_modules=['smoker'],
      author='Marco Giusti',
      author_email='marco.giusti@gmail.com',
      description='Mercurial hook to run tests before every commit',
      url='https://bitbucket.org/gm/smoker',
      download_url='http://pypi.python.org/pypi/smoker',
      license='MIT',
      keywords='mercurial hg hook unittest testing',
      install_requires=install_requires,
      test_suite='test_smoker',
      tests_require=['mock'],
      entry_points = {
          'console_scripts': [
              'smoker = smoker:externalHook'
          ],
          'setuptools.installation': [
              'eggsecutable = smoker:externalHook'
          ]
      },
      long_description=read('README.txt'),
     )
